Export monitors data
curl --request POST \
--url https://api.justanotheruptime.com/monitors/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "<string>",
"endDate": "<string>",
"fields": [
"<string>"
],
"projectId": "<string>"
}
'import requests
url = "https://api.justanotheruptime.com/monitors/export"
payload = {
"startDate": "<string>",
"endDate": "<string>",
"fields": ["<string>"],
"projectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '<string>',
endDate: '<string>',
fields: ['<string>'],
projectId: '<string>'
})
};
fetch('https://api.justanotheruptime.com/monitors/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Monitors
Export monitors data
POST
/
monitors
/
export
Export monitors data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Format of the export file
Available options:
json, csv, excel Start date for filtering data (ISO format)
End date for filtering data (ISO format)
Fields to include in the export
Optional project ID for filtering
Response
200
Monitors exported successfully
⌘I